Debian Bug report logs - #598068
E: Internal Error, Could not early remove initscripts

Package: upgrade-reports; Maintainer for upgrade-reports is Debian Testing Group <debian-testing@lists.debian.org>;

Reported by: Valters <conaildo@gmail.com>

Date: Sun, 26 Sep 2010 06:33:02 UTC

Severity: normal

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#598068; Package upgrade-reports. (Sun, 26 Sep 2010 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valters <conaildo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. (Sun, 26 Sep 2010 06:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Valters <conaildo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: E: Internal Error, Could not early remove initscripts
Date: Sun, 26 Sep 2010 09:03:09 +0300
Package: upgrade-reports
Severity: normal



-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash


The following packages will be upgraded:
  apache2-mpm-itk apache2-utils apache2.2-common apt base-files bzip2 clamav clamav-base clamav-daemon clamav-freshclam cpio debian-archive-keyring dpkg dselect ghostscript gs-common initscripts
  insserv iputils-ping libapache2-mod-perl2-doc libapache2-mod-php5 libapr1 libavahi-client3 libavahi-common-data libavahi-common3 libavahi-glib1 libbz2-1.0 libclamav6 libfreetype6 libgs8
  libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libldap-2.4-2 libldap2-dev libpam-smbpass libpango1.0-0 libpango1.0-common libpng12-0 libssl0.9.8 libtiff4 libwbclient0 libwww-perl libxext-dev libxext6
  linux-libc-dev nano openssl php-pear php5 php5-cgi php5-cli php5-common php5-curl php5-gd php5-imap php5-mcrypt php5-mysql php5-pgsql php5-xmlrpc python-support samba-common smbclient
  sysvinit-utils tar tzdata usbutils w3m wget
69 packages upgraded, 0 newly installed, 0 to remove and 39 not upgraded.
Need to get 84.4MB of archives. After unpacking 32.8kB will be freed.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Get:1 http://ftp.se.debian.org lenny/main base-files 5lenny7 [57.3kB]
Get:2 http://security.debian.org lenny/updates/main dpkg 1.14.29+b1 [2355kB]
Get:3 http://ftp.se.debian.org lenny/main tar 1.20-1+lenny1 [794kB]
Get:4 http://volatile.debian.org lenny/volatile/main libclamav6 0.96.3+dfsg-1~volatile1 [3710kB]
Get:5 http://ftp.se.debian.org lenny/main sysvinit-utils 2.86.ds1-61 [71.1kB]
Get:6 http://ftp.se.debian.org lenny/main libxext-dev 2:1.0.4-2 [84.2kB]
Get:7 http://ftp.se.debian.org lenny/main libxext6 2:1.0.4-2 [33.7kB]
Get:8 http://ftp.se.debian.org lenny/main debian-archive-keyring 2010.08.28~lenny1 [20.0kB]
Get:9 http://ftp.se.debian.org lenny/main apt 0.7.20.2+lenny2 [1643kB]
Get:10 http://ftp.se.debian.org lenny/main insserv 1.12.0-4 [65.9kB]
Get:11 http://ftp.se.debian.org lenny/main initscripts 2.86.ds1-61 [68.3kB]
Get:12 http://ftp.se.debian.org lenny/main tzdata 2010j-0lenny1 [768kB]
Get:13 http://security.debian.org lenny/updates/main bzip2 1.0.5-1+lenny1 [46.0kB]
Get:14 http://security.debian.org lenny/updates/main libbz2-1.0 1.0.5-1+lenny1 [45.0kB]
Get:15 http://security.debian.org lenny/updates/main libldap2-dev 2.4.11-1+lenny2 [870kB]
Get:16 http://ftp.se.debian.org lenny/main cpio 2.9-13lenny1 [172kB]
Get:17 http://ftp.se.debian.org lenny/main iputils-ping 3:20071127-1+lenny1 [43.1kB]
Get:18 http://ftp.se.debian.org lenny/main libssl0.9.8 0.9.8g-15+lenny8 [2977kB]
Get:19 http://security.debian.org lenny/updates/main libldap-2.4-2 2.4.11-1+lenny2 [189kB]
Get:20 http://security.debian.org lenny/updates/main dselect 1.14.29+b1 [798kB]
Get:21 http://volatile.debian.org lenny/volatile/main clamav-daemon 0.96.3+dfsg-1~volatile1 [404kB]
Get:22 http://security.debian.org lenny/updates/main libfreetype6 2.3.7-2+lenny3 [372kB]
Get:23 http://volatile.debian.org lenny/volatile/main clamav-base 0.96.3+dfsg-1~volatile1 [26.3MB]
Get:24 http://ftp.se.debian.org lenny/main nano 2.0.7-5 [594kB]
Get:25 http://security.debian.org lenny/updates/main libwbclient0 2:3.2.5-4lenny13 [79.7kB]
Get:26 http://security.debian.org lenny/updates/main linux-libc-dev 2.6.26-25lenny1 [769kB]
Get:27 http://ftp.se.debian.org lenny/main wget 1.11.4-2+lenny2 [608kB]
Get:28 http://ftp.se.debian.org lenny/main w3m 0.5.2-2+lenny1 [1112kB]
Get:29 http://security.debian.org lenny/updates/main smbclient 2:3.2.5-4lenny13 [6303kB]
Get:30 http://ftp.se.debian.org lenny/main libapr1 1.2.12-5+lenny2 [109kB]
Get:31 http://ftp.se.debian.org lenny/main apache2-utils 2.2.9-10+lenny8 [144kB]
Get:32 http://ftp.se.debian.org lenny/main apache2-mpm-itk 2.2.6-02-1+lenny3+b1 [180kB]
Get:33 http://ftp.se.debian.org lenny/main apache2.2-common 2.2.9-10+lenny8 [783kB]
Get:34 http://ftp.se.debian.org lenny/main libpng12-0 1.2.27-2+lenny4 [166kB]
Get:35 http://ftp.se.debian.org lenny/main libtiff4 3.8.2-11.3 [162kB]
Get:36 http://ftp.se.debian.org lenny/main ghostscript 8.62.dfsg.1-3.2lenny5 [802kB]
Get:37 http://ftp.se.debian.org lenny/main libgs8 8.62.dfsg.1-3.2lenny5 [2222kB]
Get:38 http://ftp.se.debian.org lenny/main gs-common 8.62.dfsg.1-3.2lenny5 [29.1kB]
Get:39 http://ftp.se.debian.org lenny/main libapache2-mod-perl2-doc 2.0.4-5+lenny1 [3130kB]
Get:40 http://ftp.se.debian.org lenny/main php5-cli 5.2.6.dfsg.1-1+lenny9 [2475kB]
Get:41 http://security.debian.org lenny/updates/main libpam-smbpass 2:3.2.5-4lenny13 [561kB]
Get:42 http://security.debian.org lenny/updates/main samba-common 2:3.2.5-4lenny13 [3414kB]
Get:43 http://ftp.se.debian.org lenny/main php5-cgi 5.2.6.dfsg.1-1+lenny9 [4911kB]
Get:44 http://ftp.se.debian.org lenny/main php5-mysql 5.2.6.dfsg.1-1+lenny9 [65.7kB]
Get:45 http://ftp.se.debian.org lenny/main php5-imap 5.2.6.dfsg.1-1+lenny9 [34.6kB]
Get:46 http://ftp.se.debian.org lenny/main php5-mcrypt 5.2.6.dfsg.1-1+lenny9 [12.9kB]
Get:47 http://ftp.se.debian.org lenny/main php5-curl 5.2.6.dfsg.1-1+lenny9 [23.8kB]
Get:48 http://ftp.se.debian.org lenny/main php5-xmlrpc 5.2.6.dfsg.1-1+lenny9 [37.7kB]
Get:49 http://ftp.se.debian.org lenny/main php5-gd 5.2.6.dfsg.1-1+lenny9 [32.4kB]
Get:50 http://ftp.se.debian.org lenny/main php5-pgsql 5.2.6.dfsg.1-1+lenny9 [52.4kB]
Get:51 http://ftp.se.debian.org lenny/main libapache2-mod-php5 5.2.6.dfsg.1-1+lenny9 [2484kB]
Get:52 http://ftp.se.debian.org lenny/main php5-common 5.2.6.dfsg.1-1+lenny9 [366kB]
Get:53 http://ftp.se.debian.org lenny/main libavahi-common-data 0.6.23-3lenny2 [31.3kB]
Get:54 http://ftp.se.debian.org lenny/main libavahi-common3 0.6.23-3lenny2 [48.0kB]
Get:55 http://ftp.se.debian.org lenny/main libavahi-client3 0.6.23-3lenny2 [52.0kB]
Get:56 http://ftp.se.debian.org lenny/main libavahi-glib1 0.6.23-3lenny2 [32.3kB]
Get:57 http://ftp.se.debian.org lenny/main libgtk2.0-common 2.12.12-1~lenny2 [5494kB]
Get:58 http://ftp.se.debian.org lenny/main libpango1.0-common 1.20.5-6 [64.8kB]
Get:59 http://ftp.se.debian.org lenny/main libpango1.0-0 1.20.5-6 [287kB]
Get:60 http://ftp.se.debian.org lenny/main libgtk2.0-0 2.12.12-1~lenny2 [2103kB]
Get:61 http://ftp.se.debian.org lenny/main libgtk2.0-bin 2.12.12-1~lenny2 [147kB]
Get:62 http://ftp.se.debian.org lenny/main libwww-perl 5.813-1+lenny2 [374kB]
Get:63 http://ftp.se.debian.org lenny/main openssl 0.9.8g-15+lenny8 [1036kB]
Get:64 http://ftp.se.debian.org lenny/main php-pear 5.2.6.dfsg.1-1+lenny9 [335kB]
Get:65 http://ftp.se.debian.org lenny/main php5 5.2.6.dfsg.1-1+lenny9 [1082B]
Get:66 http://ftp.se.debian.org lenny/main python-support 0.8.4lenny2 [28.6kB]
Get:67 http://ftp.se.debian.org lenny/main usbutils 0.73-10lenny2 [183kB]
Get:68 http://volatile.debian.org lenny/volatile/main clamav-freshclam 0.96.3+dfsg-1~volatile1 [302kB]
Get:69 http://volatile.debian.org lenny/volatile/main clamav 0.96.3+dfsg-1~volatile1 [323kB]
Fetched 84.4MB in 12s (6901kB/s)
E: This installation run will require temporarily removing the essential package initscripts due to a Conflicts/Pre-Depends loop. This is often bad, but if you really want to do it, activate the APT::Force-LoopBreak option.
E: Internal Error, Could not early remove initscripts
A package failed to install.  Trying to recover:
Reading package lists... Done
Building dependency tree




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#598068; Package upgrade-reports. (Sun, 26 Sep 2010 09:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. (Sun, 26 Sep 2010 09:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 598068@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Valters <conaildo@gmail.com>
Cc: 598068@bugs.debian.org
Subject: Re: Bug#598068: E: Internal Error, Could not early remove initscripts
Date: Sun, 26 Sep 2010 11:01:03 +0200
On 2010-09-26 08:03 +0200, Valters wrote:

> Package: upgrade-reports
> Severity: normal
>
>
>
> -- System Information:
> Debian Release: 5.0.4
>   APT prefers stable
>   APT policy: (500, 'stable')
> [...]
> E: This installation run will require temporarily removing the essential package initscripts due to a Conflicts/Pre-Depends loop. This is often bad, but if you really want to do it, activate the APT::Force-LoopBreak option.
> E: Internal Error, Could not early remove initscripts

This is a known problem on etch -> lenny upgrades, see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=501855.

Unfortunately there's no safe solution for it; your best bet is to
remove insserv before the upgrade, you can reinstall it afterwards.
Make sure that you backup your /etc/init.d/rc?.d directories and watch
out for possible missing links after inssserv is removed (see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475478).

Sven




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Sun, 28 Apr 2013 11:21:08 GMT) Full text and rfc822 format available.

Notification sent to Valters <conaildo@gmail.com>:
Bug acknowledged by developer. (Sun, 28 Apr 2013 11:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 598068-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 598068-done@bugs.debian.org, 501855-done@bugs.debian.org
Subject: old etch-lenny upgrade circles
Date: Sun, 28 Apr 2013 13:20:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

598068 is said to be a copy of 501855 and both are about depencency cycles 
when upgrading from etch to lenny, which will definitly not be fixed anymore, 
thus closing.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 May 2013 07:32:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:28:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.